summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-08-04 19:10:23 +0000
committer Eric Hameleers <alien@slackware.com>2019-08-04 23:00:10 +0200
commit8519278b645c1b29046377ad42e5f723247c7b9b (patch)
treeed0fab9639450b7f074cead920e275c075b14e55 /source
parent11a87f467714769e1d1bd14800b4c173747b22f6 (diff)
downloadcurrent-8519278b645c1b29046377ad42e5f723247c7b9b.tar.gz
current-8519278b645c1b29046377ad42e5f723247c7b9b.tar.xz
Sun Aug 4 19:10:23 UTC 201920190804191023
a/kernel-generic-4.19.63-x86_64-1.txz: Upgraded. a/kernel-huge-4.19.63-x86_64-1.txz: Upgraded. a/kernel-modules-4.19.63-x86_64-1.txz: Upgraded. a/libgudev-233-x86_64-1.txz: Upgraded. a/os-prober-1.77-x86_64-2.txz: Rebuilt. Patched to fix lvm2 detection. Thanks to USUARIONUEVO. ap/man-db-2.8.6-x86_64-1.txz: Upgraded. ap/man-pages-5.02-noarch-1.txz: Upgraded. d/kernel-headers-4.19.63-x86-1.txz: Upgraded. d/re2c-1.2-x86_64-1.txz: Upgraded. k/kernel-source-4.19.63-noarch-1.txz: Upgraded. l/Mako-1.1.0-x86_64-1.txz: Upgraded. l/babl-0.1.70-x86_64-1.txz: Upgraded. l/imagemagick-6.9.10_59-x86_64-1.txz: Upgraded. isolinux/initrd.img: Rebuilt. kernels/*: Upgraded. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'source')
-rwxr-xr-xsource/a/libgudev/libgudev.SlackBuild2
-rwxr-xr-xsource/a/os-prober/os-prober.SlackBuild7
-rw-r--r--source/a/os-prober/os-prober.lvm2.diff38
-rwxr-xr-xsource/ap/man-db/man-db.SlackBuild2
-rwxr-xr-xsource/d/re2c/re2c.SlackBuild6
-rw-r--r--source/d/re2c/re2c.url2
-rw-r--r--source/k/kernel-configs/config-generic-4.19.63 (renamed from source/k/kernel-configs/config-generic-4.19.62)2
-rw-r--r--source/k/kernel-configs/config-generic-4.19.63.x64 (renamed from source/k/kernel-configs/config-generic-4.19.62.x64)2
-rw-r--r--source/k/kernel-configs/config-generic-smp-4.19.63-smp (renamed from source/k/kernel-configs/config-generic-smp-4.19.62-smp)2
-rw-r--r--source/k/kernel-configs/config-huge-4.19.63 (renamed from source/k/kernel-configs/config-huge-4.19.62)2
-rw-r--r--source/k/kernel-configs/config-huge-4.19.63.x64 (renamed from source/k/kernel-configs/config-huge-4.19.62.x64)2
-rw-r--r--source/k/kernel-configs/config-huge-smp-4.19.63-smp (renamed from source/k/kernel-configs/config-huge-smp-4.19.62-smp)2
-rwxr-xr-xsource/l/QScintilla/QScintilla.SlackBuild2
-rwxr-xr-xsource/l/babl/babl.SlackBuild43
14 files changed, 80 insertions, 34 deletions
diff --git a/source/a/libgudev/libgudev.SlackBuild b/source/a/libgudev/libgudev.SlackBuild
index 6dd427ff1..0921cb351 100755
--- a/source/a/libgudev/libgudev.SlackBuild
+++ b/source/a/libgudev/libgudev.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libgudev
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.* | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
diff --git a/source/a/os-prober/os-prober.SlackBuild b/source/a/os-prober/os-prober.SlackBuild
index f4c0348db..1098ac6b8 100755
--- a/source/a/os-prober/os-prober.SlackBuild
+++ b/source/a/os-prober/os-prober.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2013, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2013, 2018, 2019 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=os-prober
VERSION=${VERSION:-$(echo $PKGNAM_*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d _ | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -79,6 +79,9 @@ cd $PKGNAM-$VERSION || exit 1
# Don't drop support for reiserfs. It's still in the kernel (for now):
zcat $CWD/os-prober.reiserfs.diff.gz | patch -p1 --verbose || exit 1
+# Fix detecting LVM2 volumes:
+zcat $CWD/os-prober.lvm2.diff.gz | patch -p1 --verbose || exit 1
+
# Edit the scripts to use $LIBDIRSUFFIX=64 if needed:
if [ "$LIBDIRSUFFIX" = "64" ]; then
find -type f -exec sed -i -e 's|usr/lib|usr/lib64|g' {} \;
diff --git a/source/a/os-prober/os-prober.lvm2.diff b/source/a/os-prober/os-prober.lvm2.diff
new file mode 100644
index 000000000..91f527256
--- /dev/null
+++ b/source/a/os-prober/os-prober.lvm2.diff
@@ -0,0 +1,38 @@
+diff -ru os-prober-1.77/common.sh os-prober-1.77.new/common.sh
+--- os-prober-1.77/common.sh 2018-08-10 21:23:18.000000000 +0200
++++ os-prober-1.77.new/common.sh 2019-08-03 23:37:48.466380378 +0200
+@@ -176,6 +176,15 @@
+ sed 's/\\011/ /g; s/\\012/\n/g; s/\\040/ /g; s/\\134/\\/g'
+ }
+
++ro_partition () {
++ if type blockdev >/dev/null 2>&1 && \
++ [ "$(blockdev --getro "$1")" = 0 ] && \
++ blockdev --setro "$1"; then
++ cleanup_ro_partitions="${cleanup_ro_partitions:+$cleanup_ro_partitions }$1"
++ trap cleanup EXIT HUP INT QUIT TERM
++ fi
++}
++
+ find_label () {
+ local output
+ if type blkid >/dev/null 2>&1; then
+diff -ru os-prober-1.77/os-probes/common/50mounted-tests os-prober-1.77.new/os-probes/common/50mounted-tests
+--- os-prober-1.77/os-probes/common/50mounted-tests 2018-08-10 21:23:18.000000000 +0200
++++ os-prober-1.77.new/os-probes/common/50mounted-tests 2019-08-03 23:37:48.465380372 +0200
+@@ -69,6 +69,15 @@
+ debug "mounted using GRUB, but unknown filesystem?"
+ type=fuseblk
+ fi
++else
++ ro_partition "$partition"
++ for type in $types $delaytypes; do
++ if mount -o ro -t "$type" "$partition" "$tmpmnt" 2>/dev/null; then
++ debug "mounted as $type filesystem"
++ mounted=1
++ break
++ fi
++ done
+ fi
+
+ if [ "$mounted" ]; then
diff --git a/source/ap/man-db/man-db.SlackBuild b/source/ap/man-db/man-db.SlackBuild
index a7b328e83..7a5e24dd5 100755
--- a/source/ap/man-db/man-db.SlackBuild
+++ b/source/ap/man-db/man-db.SlackBuild
@@ -8,7 +8,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=man-db
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
MAN2HTML=${MAN2HTML:-20180101}
diff --git a/source/d/re2c/re2c.SlackBuild b/source/d/re2c/re2c.SlackBuild
index 8066b113d..e2c263ea9 100755
--- a/source/d/re2c/re2c.SlackBuild
+++ b/source/d/re2c/re2c.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 2008-2015 LukenShiro, Italy
-# Copyright 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2017, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -85,6 +85,10 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+if [ ! -r configure ]; then
+ NOCONFIGURE=1 ./autogen.sh
+fi
+
# Configure:
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
diff --git a/source/d/re2c/re2c.url b/source/d/re2c/re2c.url
index 1af5364ad..1d90bfd62 100644
--- a/source/d/re2c/re2c.url
+++ b/source/d/re2c/re2c.url
@@ -1 +1 @@
-https://github.com/skvadrik/re2c/releases/download/1.1.1/re2c-1.1.1.tar.gz
+https://github.com/skvadrik/re2c
diff --git a/source/k/kernel-configs/config-generic-4.19.62 b/source/k/kernel-configs/config-generic-4.19.63
index 8f83974b6..6a6c4e0de 100644
--- a/source/k/kernel-configs/config-generic-4.19.62
+++ b/source/k/kernel-configs/config-generic-4.19.63
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 4.19.62 Kernel Configuration
+# Linux/x86 4.19.63 Kernel Configuration
#
#
diff --git a/source/k/kernel-configs/config-generic-4.19.62.x64 b/source/k/kernel-configs/config-generic-4.19.63.x64
index eee5c2760..78e9a81a8 100644
--- a/source/k/kernel-configs/config-generic-4.19.62.x64
+++ b/source/k/kernel-configs/config-generic-4.19.63.x64
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 4.19.62 Kernel Configuration
+# Linux/x86 4.19.63 Kernel Configuration
#
#
diff --git a/source/k/kernel-configs/config-generic-smp-4.19.62-smp b/source/k/kernel-configs/config-generic-smp-4.19.63-smp
index 6d35e96db..50ff5f792 100644
--- a/source/k/kernel-configs/config-generic-smp-4.19.62-smp
+++ b/source/k/kernel-configs/config-generic-smp-4.19.63-smp
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 4.19.62 Kernel Configuration
+# Linux/x86 4.19.63 Kernel Configuration
#
#
diff --git a/source/k/kernel-configs/config-huge-4.19.62 b/source/k/kernel-configs/config-huge-4.19.63
index 094e556be..fb41787cb 100644
--- a/source/k/kernel-configs/config-huge-4.19.62
+++ b/source/k/kernel-configs/config-huge-4.19.63
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 4.19.62 Kernel Configuration
+# Linux/x86 4.19.63 Kernel Configuration
#
#
diff --git a/source/k/kernel-configs/config-huge-4.19.62.x64 b/source/k/kernel-configs/config-huge-4.19.63.x64
index c49f1ad50..e37c1dd25 100644
--- a/source/k/kernel-configs/config-huge-4.19.62.x64
+++ b/source/k/kernel-configs/config-huge-4.19.63.x64
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 4.19.62 Kernel Configuration
+# Linux/x86 4.19.63 Kernel Configuration
#
#
diff --git a/source/k/kernel-configs/config-huge-smp-4.19.62-smp b/source/k/kernel-configs/config-huge-smp-4.19.63-smp
index 03ea38b12..ceb60267c 100644
--- a/source/k/kernel-configs/config-huge-smp-4.19.62-smp
+++ b/source/k/kernel-configs/config-huge-smp-4.19.63-smp
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 4.19.62 Kernel Configuration
+# Linux/x86 4.19.63 Kernel Configuration
#
#
diff --git a/source/l/QScintilla/QScintilla.SlackBuild b/source/l/QScintilla/QScintilla.SlackBuild
index e8ce59c73..92c53810e 100755
--- a/source/l/QScintilla/QScintilla.SlackBuild
+++ b/source/l/QScintilla/QScintilla.SlackBuild
@@ -149,8 +149,6 @@ if qtpaths-qt5 --qt-version 1>/dev/null 2>/dev/null ; then
make clean -C Python || exit 1
fi
-# QT4 SUPPORT CURRENTLY DOES NOT COMPILE...
-# /usr/lib64/qt/include/QtCore/qglobal.h:2242:20: error: invalid application of 'sizeof' to incomplete type 'QUrl'
# QT4 support:
echo "-- Compiling Qt4 support --"
cd Qt4Qt5
diff --git a/source/l/babl/babl.SlackBuild b/source/l/babl/babl.SlackBuild
index 77b864ee4..43537c7cd 100755
--- a/source/l/babl/babl.SlackBuild
+++ b/source/l/babl/babl.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
# Copyright 2008, 2009 Robby Workman, Northport, Alabama, USA
# All rights reserved.
#
@@ -52,6 +52,7 @@ PKG=$TMP/package-babl
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ XTRA_OPTIONS=" -Denable-sse2=false "
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -78,26 +79,28 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-if [ ! -r configure ]; then
- NOCONFIGURE=1 ./autogen.sh
-fi
-
-CFLAGS="$SLKCFLAGS" \
-./configure \
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --docdir=/usr/doc/babl-$VERSION \
- --build=$ARCH-slackware-linux || exit 1
- # Trust defaults:
- #--enable-mmx \
- #--disable-sse \
- #--enable-introspection \
-
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-# Don't ship .la files:
-rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --buildtype=release \
+ $XTRA_OPTIONS \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null